Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05214 Color/Palette Minor Always Jun 11, 2013, 19:37 Nov 30, 2013, 11:28
Tester russ h. View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.149 Fixed in Version 0.152 Build 64-bit
Summary 05214: vector games: Vector games with color overlay show in b&w on Windows D3D render when HLSL is disabled.
Description battle zone displays in black and white. Only displays color if hlsl is enabled.

added note: this affects all vector games that have a color overlay
Steps To Reproduce
Additional Information
Flags
Regression Version 0.148u5
Affected Sets / Systems vector games
Attached Files
jpg file icon vector_coloroverlay_doesntwork.jpg (23,672 bytes) Jul 12, 2013, 16:55 Uploaded by hap
hap
Relationships
related to 05332Resolvedhap Multiple Systems: Backdrop displayed in front of screen in multiple drivers 
related to 05324Resolvedhap cubeqst, mach3, usvsthem and clones: There's a blank screen in certain places in the video 
Notes
7
User avatar
No.09597
Tafoid
Administrator
Jun 11, 2013, 23:59
This is only using -video d3d.
 -video ddraw and gdi are showing color.
User avatar
No.09610
hap
Developer
Jun 14, 2013, 22:12
It applies to other vector+color overlay games too, for example starcas (Cinematronics Star Castle)
User avatar
No.09645
Sune_S
Senior Tester
Jul 10, 2013, 00:04
edited on: Jul 10, 2013, 00:23
Shouldn't this be marked as resolved or not-a-bug? From a quick google (yes I admit I didn't know) Battle Zone was in black and white and used a color overlay.

In SDLMAME on OS X, Battle Zone appears in color only when artwork is enabled, which makes total sense.

User avatar
No.09646
hap
Developer
Jul 10, 2013, 01:03
Oh, please don't mind the vague description.
The issue here is that on the Windows build, color overlays(in internal .lay artwork) doesn't work properly anymore with vector games.
User avatar
No.09647
Sune_S
Senior Tester
Jul 10, 2013, 18:42
edited on: Jul 10, 2013, 18:43
Right.

SDLMAME is not affected by this because there is no HLSL...

User avatar
No.09960
hap
Developer
Nov 6, 2013, 18:42
re-regressed on purpose in 0.151: the attempted fix was wrong and broke render priorities
User avatar
No.10032
haynor666
Tester
Nov 30, 2013, 11:28
edited on: Nov 30, 2013, 12:32
I've tested latest SVN with game barrier and still vector games are b&w i D3D. In DDRAW is ok.

EDIT. I hit wrong exe (151 instead of svn). Indeed is fixed.